gnome-flashback_3.30.0-1ubuntu6.1_amd64.deb


Advertisement

Description

gnome-flashback - helper application for the GNOME Flashback session

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Universe amd64
Package filename gnome-flashback_3.30.0-1ubuntu6.1_amd64.deb
Package name gnome-flashback
Package version 3.30.0
Package release 1ubuntu6.1
Package architecture amd64
Package type deb
Category universe/gnome
Homepage https://wiki.gnome.org/Projects/GnomeFlashback
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 240.31 KB
Installed size 837.00 KB
GNOME Flashback continues the traditional desktop interface which was used
in GNOME 2.x, but using modern GNOME technologies.
This package provides a helper application for the GNOME Flashback
desktop session. This application:
- provides the Logout, Reboot and Shutdown dialogs;
- provides the Sound, Bluetooth and Power tray applets;
- implements screenshot and screencast functionality;
- implements input source switching functionality;
- draws desktop background;
- implements other functionality which was previously handled by
gnome-settings-daemon.

Alternatives

Package Version Architecture Repository
gnome-flashback_3.30.0-1ubuntu6.1_i386.deb 3.30.0 i386 Ubuntu Updates Universe
gnome-flashback_3.30.0-1ubuntu6_i386.deb 3.30.0 i386 Ubuntu Universe
gnome-flashback_3.30.0-1ubuntu6_amd64.deb 3.30.0 amd64 Ubuntu Universe
gnome-flashback - - -

Requires

Name Value
gnome-flashback-common = 3.30.0-1ubuntu6.1
libatk1.0-0 >= 1.12.4
libc6 >= 2.29
libcairo2 >= 1.10.0
libcanberra-gtk3-0 >= 0.25
libgdk-pixbuf2.0-0 >= 2.32.2
libglib2.0-0 >= 2.55.2
libgnome-bluetooth13 >= 3.12.0
libgnome-desktop-3-17 >= 3.17.92
libgtk-3-0 >= 3.22.0
libibus-1.0-5 >= 1.5.2
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpolkit-agent-1-0 >= 0.99
libpolkit-gobject-1-0 >= 0.99
libpulse-mainloop-glib0 >= 0.99.1
libpulse0 >= 0.99.1
libupower-glib3 >= 0.99.0
libx11-6 >= 2:1.2.99.901
libx11-xcb1 -
libxcb-randr0 >= 1.1
libxext6 -
libxfixes3 -
libxi6 >= 2:1.2.99.4
libxkbfile1 -
libxrandr2 >= 2:1.5.0

Provides

Name Value
notification-daemon -
polkit-1-auth-agent -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gnome-flashback_3.30.0-1ubuntu6.1_amd64.deb
Source Package gnome-flashback

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gnome-flashback deb package:
    # sudo apt-get install gnome-flashback

Changelog

2019-07-23 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu6.1) disco; urgency=medium
* Backport two upstream commits to fix ibus indicator flickering
(LP: #1836659).
2019-03-24 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu6) disco; urgency=medium
* Backport some fixes for HiDPI and keyboard shortcuts from upstream:
- backends: add gf_monitor_manager_get_primary_logical_monitor
- backends: add gf_settings_get_ui_scaling_factor
- backends: add 'legacy-ui-scaling-factor' property
- shell: update D-Bus interface
2019-02-19 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu5) disco; urgency=medium
* Make gnome-flashback-common depend on light-themes, as that package
ships a gsettings-override file which sets gtk-theme to Ambiance.
* Stop disabling desktop-background component (LP: #1816500).
2019-01-22 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu4) disco; urgency=medium
* Drop revert-nautilus-remove.diff. We now have Nautilus 3.30.
* Also remove dependency on nautilus.
2018-11-22 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu3) disco; urgency=medium
* Backport upstream patch to fix segfault in handle_ungrab_accelerator()
(fix-handle-ungrab-crash.diff; LP: #1725830).
2018-09-11 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu2) cosmic; urgency=medium
* Drop fix-button-layout override, that setting no longer exists.
* Backport upstream patch fixing notifications crash when removing
monitor (fix-notifications-crash.diff).
2018-09-10 - Dmitry Shachnev <mitya57@ubuntu.com>
gnome-flashback (3.30.0-1ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable, remaining changes:
- debian/rules:
+ Add an epoch number to gnome-session-flashback package.
- debian/gnome-flashback-common.gsettings-override:
+ Disable some not needed gnome-flashback components.
+ Add the default settings for GNOME Flashback sessions.
- debian/gnome-session-flashback.target:
+ The target file for systemd, based on ubuntu-session.target.
+ Install this file into /usr/lib/systemd/user/ directory.
- debian/control.in:
+ Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
to use run-systemd-session.
+ Add dependencies on dbus-user-session, indicator-common, nautilus
and systemd.
+ Use Ubuntu VCS fields.
- debian/patches/run-systemd-session.diff:
+ Use run-systemd-session script for running the session.
- debian/patches/support-indicator-keyboard.diff:
+ Support “org.gnome.desktop.input-sources current” key, to make
indicator-keyboard working.
- debian/patches/revert-nautilus-remove.diff:
+ Revert removing nautilus-classic from required components. Ubuntu
18.10 ships Nautilus 3.26, which still has desktop icons support.
* The new release brings the following features:
- Accessibility keyboard plugin, supporting sticky keys (LP: #1790744).
- Per-window input sources support (LP: #1769838).
* Drop assign-groups-in-order.diff, applied in the new release.
* Drop trackpoint-settings.diff, applied in the new release.
* Refresh debian/patches/support-indicator-keyboard.diff.
* Add epoch to the required metacity version (1:3.30.1).
* Remove button-layout override which is now present upstream.

See Also

Package Description
gnome-packagekit-session_3.30.6-2ubuntu4.19.04.2_all.deb Transitional package (gnome-packagekit-session -> gnome-software)
gnome-session-flashback_3.30.0-1ubuntu6.1_all.deb traditional desktop session based on GNOME technologies
gnome-software-plugin-flatpak_3.30.6-2ubuntu4.19.04.2_amd64.deb Flatpak support for GNOME Software
gnutls-bin_3.6.5-2ubuntu1.1_amd64.deb GNU TLS library - commandline utilities
gobjc++-9-aarch64-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-alpha-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-arm-linux-gnueabi_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-arm-linux-gnueabihf_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-hppa-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-i686-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-m68k-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-mips-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-mips64el-linux-gnuabi64_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-mipsel-linux-gnu_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler
gobjc++-9-multilib-arm-linux-gnueabi_9.1.0-2ubuntu2~19.04cross2_amd64.deb GNU Objective-C++ compiler (multilib support)
Advertisement
Advertisement